using IdentityModel.Client;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Http.Features;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace BlazorApp1.Data
{
    public class WeatherForecastService
    {
        private static readonly string[] Summaries = new[]
        {
            "Freezing", "Bracing", "Chilly", "Cool", "Mild", "Warm", "Balmy", "Hot", "Sweltering", "Scorching"
        };

        public Task<WeatherForecast[]> GetForecastAsync(DateTime startDate)
        {
            var rng = new Random();
            return Task.FromResult(Enumerable.Range(1, 5).Select(index => new WeatherForecast
            {
                Date = startDate.AddDays(index),
                TemperatureC = rng.Next(-20, 55),
                Summary = Summaries[rng.Next(Summaries.Length)]
            }).ToArray());
        }
        public Task<List<NameId>> getData()
        {
            List<NameId> data = new List<NameId>();
            data.Add(new NameId() { CommerceDrugsName = "AAAAAA", CommerceDrugsId = "a" });
            data.Add(new NameId() { CommerceDrugsName = "BBBBBB", CommerceDrugsId = "b" });
            return Task.FromResult(data);
        }

    }
    public class NameId
    {
        public string CommerceDrugsName { get; set; }
        public string CommerceDrugsId { get; set; }
    }
}
